Bug 457362 - (CVE-2008-3381) CVE-2008-3381 moin: XSS issue in the advanced search form
CVE-2008-3381 moin: XSS issue in the advanced search form
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=cve,reported=20080730,public=2...
: Security
Depends On: 457363 457364
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 03:26 EDT by Tomas Hoger
Modified: 2016-03-04 07:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 13:33:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-07-31 03:26:20 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-3381 to the
following vulnerability:

Multiple cross-site scripting (XSS) vulnerabilities in
macro/AdvancedSearch.py in moin (and MoinMoin) 1.6.3 and 1.7.0 allow
remote attackers to inject arbitrary web script or HTML via
unspecified vectors.

Upstream patches (1.6 and 1.7 branches):
http://hg.moinmo.in/moin/1.6/rev/8686a10f1f58
http://hg.moinmo.in/moin/1.7/rev/383196922b03

References:
http://moinmo.in/SecurityFixes#moin1.6.3
http://secunia.com/advisories/31135
Comment 1 Tomas Hoger 2008-07-31 03:27:51 EDT
There's no MoinMoin/macro/AdvancedSearch.py in moin 1.5.9 in F-8, so it's
probably unaffected.
Comment 3 Fedora Update System 2009-04-20 11:18:38 EDT
moin-1.6.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/moin-1.6.4-1.fc10
Comment 4 Fedora Update System 2009-04-20 11:41:55 EDT
moin-1.6.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/moin-1.6.4-1.fc9
Comment 5 Fedora Update System 2009-04-21 21:03:50 EDT
moin-1.6.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-04-21 21:11:31 EDT
moin-1.6.4-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Ville-Pekka Vainio 2009-05-02 13:33:48 EDT
I'm closing this bug because the fix has been pushed and the update had security team approval. Please reopen if something related to this vulnerability is not fixed.

Note You need to log in before you can comment on or make changes to this bug.